import { optionTypeList, stemTypeList, scoreTypeList, questionNumberTypeList } from './common';
import { getRandomNumber } from '@/utils/index';

export function getOption(content = '') {
  return { content, mark: getRandomNumber(), audio_file_id: '' };
}

// 听后训练数据模板
export const repeatData = {
  type: 'repeat', // 题型
  stem: '', // 题干
  option_number_show_mode: optionTypeList[0].value, // 选项类型
  description: '', // 描述
  option_list: [
    { content: '', mark: getRandomNumber(), audio_file_id: '' },
    { content: '', mark: getRandomNumber(), audio_file_id: '' },
    { content: '', mark: getRandomNumber(), audio_file_id: '' },
  ], // 选项
  file_id_list: [],
  answer: { score: 0, score_type: scoreTypeList[0].value }, // 答案
  // 题型属性
  property: {
    stem_type: stemTypeList[0].value, // 题干类型
    question_number: '1', // 题号
    is_enable_description: 'false', // 描述
    score: 1, // 分值
    score_type: scoreTypeList[0].value, // 分值类型
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[0].value, // 题号类型
  },
};
